> For the complete documentation index, see [llms.txt](https://docs.exoclick.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.exoclick.com/api/de/exoclick-public-api/api-manual-http-headers.md).

# HTTP-Header

Dieser Abschnitt beschreibt die HTTP-Header, die die API von jeder Anfrage akzeptiert.

## Content-Type

Alle Anfragen müssen einen HTTP-Header vom Typ Content-Type enthalten.

### Akzeptierte Content-Types

| Basisformat   | Content-Types       | Content-Types                                        |
| ------------- | ------------------- | ---------------------------------------------------- |
| JSON          | application/json    | text/json ist derzeit kein akzeptierter Content-Type |
| Formulardaten | multipart/form-data | Nur beim Hochladen von Varianten verwendet           |

### Content-Type-Fehler

| Antwortcode | Hinweise                                                                                                               |
| ----------- | ---------------------------------------------------------------------------------------------------------------------- |
| 400         | Der Content-Type wurde verstanden, konnte aber nicht decodiert werden. Weitere Informationen erscheinen im Antworttext |
| 415         | Der Content-Type fehlt oder wird nicht unterstützt                                                                     |

{% hint style="info" %}
**Hinweis**: In Fällen, in denen der Content-Type-Header ein Problem hat, ist der Antwort-Content-Type das Standardformat für die API, derzeit application/json
{% endhint %}

{% hint style="info" %}
**Hinweis**: Die API hält sich derzeit nicht an den Accept-Type HTTP-Header; alle Antworten werden im selben Content-Type gesendet wie die empfangene Anfrage, vorausgesetzt, der Content-Type der Anfrage war gültig
{% endhint %}

## Autorisierung

Dieser Header ist optional und wird verwendet, um der API Authentifizierungsdetails für den aktuellen Benutzer bereitzustellen, wodurch der aktuelle Benutzer auf eingeschränkte API-Ressourcen zugreifen kann. Tokens können über die Login-API bezogen werden. Ein Beispiel-Header ist:

```
Authorization: Bearer 45267dbe480c8c7d799c62ccad92cb44f67ab086
```

Der Authorization-Header akzeptiert einen String, der aus zwei durch ein einzelnes Leerzeichen getrennten Teilen besteht. Der erste Teil ist der Token-Typ, der zweite der Access-Token selbst.

### Autorisierungsfehler

| Antwortcode | Hinweise                                                                   |
| ----------- | -------------------------------------------------------------------------- |
| 400         | Ein fehlerhaft formatierter Authorization-Header wurde bereitgestellt      |
| 401         | Der Authorization-Header fehlt oder das Token war ungültig oder abgelaufen |

### Auswahl eines Authorization-Token-Typs

Bei jedem Fehler enthalten die Antwort-Header einen WWW-Authenticate-Header, der den für den Zugriff erforderlichen Token-Typ angibt.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.exoclick.com/api/de/exoclick-public-api/api-manual-http-headers.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
